summaryrefslogtreecommitdiff
path: root/tcwg-benchmark.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tcwg-benchmark.sh')
-rwxr-xr-xtcwg-benchmark.sh12
1 files changed, 6 insertions, 6 deletions
diff --git a/tcwg-benchmark.sh b/tcwg-benchmark.sh
index 6183b736..04d63d62 100755
--- a/tcwg-benchmark.sh
+++ b/tcwg-benchmark.sh
@@ -260,12 +260,6 @@ case "$testmode" in
benchmark) input_size="ref" ;;
esac
-# Start a container to run the benchmarks in.
-# We install SPEC in /home/tcwg-benchmark, so bind-mount it as $WORKSPACE.
-WORKSPACE=$HOME ./start-container-docker.sh --session-host "$boardname" --arch "$image_arch" --distro "$bench_container_tag" --task bench --docker_opts "--privileged" --prefix run_ > run-container.sh
-trap "cleanup_all_containers" EXIT
-. ./run-container.sh
-
if $prepare_board; then
# FIXME: Implement more configurations and checks:
# disable swap
@@ -277,6 +271,12 @@ if $prepare_board; then
--action start_board --verbose
fi
+# Start a container to run the benchmarks in.
+# We install SPEC in /home/tcwg-benchmark, so bind-mount it as $WORKSPACE.
+WORKSPACE=$HOME ./start-container-docker.sh --session-host "$boardname" --arch "$image_arch" --distro "$bench_container_tag" --task bench --docker_opts "--privileged" --prefix run_ > run-container.sh
+trap "cleanup_all_containers" EXIT
+. ./run-container.sh
+
# vars are from run-container.sh sourced above
# shellcheck disable=SC2154
remote_exec "$run_container_host:$run_container_port::-t -Snone" \